Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer
Class RenderBlocks

    java.lang.Object
      net.minecraft.client.renderer.RenderBlocks

    public class RenderBlocks

extends Object

Field Summary
`int` | `aoBrightnessXYNN` Ambient occlusion brightness XYNN
`int` | `aoBrightnessXYNP` Ambient occlusion brightness XYNP
`int` | `aoBrightnessXYPN` Ambient occlusion brightness XYPN
`int` | `aoBrightnessXYPP` Ambient occlusion brightness XYPP
`int` | `aoBrightnessXYZNNN` Ambient occlusion brightness XYZNNN
`int` | `aoBrightnessXYZNNP` Ambient occlusion brightness XYZNNP
`int` | `aoBrightnessXYZNPN` Ambient occlusion brightness XYZNPN
`int` | `aoBrightnessXYZNPP` Ambient occlusion brightness XYZNPP
`int` | `aoBrightnessXYZPNN` Ambient occlusion brightness XYZPNN
`int` | `aoBrightnessXYZPNP` Ambient occlusion brightness XYZPNP
`int` | `aoBrightnessXYZPPN` Ambient occlusion brightness XYZPPN
`int` | `aoBrightnessXYZPPP` Ambient occlusion brightness XYZPPP
`int` | `aoBrightnessXZNN` Ambient occlusion brightness XZNN
`int` | `aoBrightnessXZNP` Ambient occlusion brightness XZNP
`int` | `aoBrightnessXZPN` Ambient occlusion brightness XZPN
`int` | `aoBrightnessXZPP` Ambient occlusion brightness XZPP
`int` | `aoBrightnessYZNN` Ambient occlusion brightness YZNN
`int` | `aoBrightnessYZNP` Ambient occlusion brightness YZNP
`int` | `aoBrightnessYZPN` Ambient occlusion brightness YZPN
`int` | `aoBrightnessYZPP` Ambient occlusion brightness YZPP
`boolean` | `aoGrassXYZCNN` Grass flag for ambient occlusion on Center X, Negative Y, and Negative Z
`boolean` | `aoGrassXYZCNP` Grass flag for ambient occlusion on Center X, Negative Y, and Positive Z
`boolean` | `aoGrassXYZCPN` Grass flag for ambient occlusion on Center X, Positive Y, and Negative Z
`boolean` | `aoGrassXYZCPP` Grass flag for ambient occlusion on Center X, Positive Y, and Positive Z
`boolean` | `aoGrassXYZNCN` Grass flag for ambient occlusion on Negative X, Center Y, and Negative Z
`boolean` | `aoGrassXYZNCP` Grass flag for ambient occlusion on Negative X, Center Y, and Positive Z
`boolean` | `aoGrassXYZNNC` Grass flag for ambient occlusion on Negative X, Negative Y, and center Z
`boolean` | `aoGrassXYZNPC` Grass flag for ambient occlusion on Negative X, Positive Y, and Center Z
`boolean` | `aoGrassXYZPCN` Grass flag for ambient occlusion on Positive X, Center Y, and Negative Z
`boolean` | `aoGrassXYZPCP` Grass flag for ambient occlusion on Positive X, Center Y, and Positive Z
`boolean` | `aoGrassXYZPNC` Grass flag for ambient occlusion on Positive X, Negative Y, and Center Z
`boolean` | `aoGrassXYZPPC` Grass flag for ambient occlusion on Positive X, Positive Y, and Center Z
`float` | `aoLightValueScratchXYNN` Used as a scratch variable for ambient occlusion between the bottom face and the north face.
`float` | `aoLightValueScratchXYNP` Used as a scratch variable for ambient occlusion between the top face and the north face.
`float` | `aoLightValueScratchXYPN` Used as a scratch variable for ambient occlusion between the bottom face and the south face.
`float` | `aoLightValueScratchXYPP` Used as a scratch variable for ambient occlusion between the top face and the south face.
`float` | `aoLightValueScratchXYZNNN` Used as a scratch variable for ambient occlusion on the north/bottom/east corner.
`float` | `aoLightValueScratchXYZNNP` Used as a scratch variable for ambient occlusion on the north/bottom/west corner.
`float` | `aoLightValueScratchXYZNPN` Used as a scratch variable for ambient occlusion on the north/top/east corner.
`float` | `aoLightValueScratchXYZNPP` Used as a scratch variable for ambient occlusion on the north/top/west corner.
`float` | `aoLightValueScratchXYZPNN` Used as a scratch variable for ambient occlusion on the south/bottom/east corner.
`float` | `aoLightValueScratchXYZPNP` Used as a scratch variable for ambient occlusion on the south/bottom/west corner.
`float` | `aoLightValueScratchXYZPPN` Used as a scratch variable for ambient occlusion on the south/top/east corner.
`float` | `aoLightValueScratchXYZPPP` Used as a scratch variable for ambient occlusion on the south/top/west corner.
`float` | `aoLightValueScratchXZNN` Used as a scratch variable for ambient occlusion between the north face and the east face.
`float` | `aoLightValueScratchXZNP` Used as a scratch variable for ambient occlusion between the north face and the west face.
`float` | `aoLightValueScratchXZPN` Used as a scratch variable for ambient occlusion between the south face and the east face.
`float` | `aoLightValueScratchXZPP` Used as a scratch variable for ambient occlusion between the south face and the west face.
`float` | `aoLightValueScratchYZNN` Used as a scratch variable for ambient occlusion between the bottom face and the east face.
`float` | `aoLightValueScratchYZNP` Used as a scratch variable for ambient occlusion between the bottom face and the west face.
`float` | `aoLightValueScratchYZPN` Used as a scratch variable for ambient occlusion between the top face and the east face.
`float` | `aoLightValueScratchYZPP` Used as a scratch variable for ambient occlusion between the top face and the west face.
`float` | `aoLightValueXNeg` Light value one block less in x axis
`float` | `aoLightValueXPos` Light value one block more in x axis
`float` | `aoLightValueYNeg` Light value one block more in y axis
`float` | `aoLightValueYPos` Light value one block more in y axis
`float` | `aoLightValueZNeg` Light value one block more in z axis
`float` | `aoLightValueZPos` Light value one block more in z axis
`int` | `aoType` Ambient occlusion type (0=simple, 1=complex)
`IBlockAccess` | `blockAccess` The IBlockAccess used by this instance of RenderBlocks
`int` | `brightnessBottomLeft` Brightness bottom left
`int` | `brightnessBottomRight` Brightness bottom right
`int` | `brightnessTopLeft` Brightness top left
`int` | `brightnessTopRight` Brightness top right
`float` | `colorBlueBottomLeft` Blue color value for the bottom left corner
`float` | `colorBlueBottomRight` Blue color value for the bottom right corner
`float` | `colorBlueTopLeft` Blue color value for the top left corner
`float` | `colorBlueTopRight` Blue color value for the top right corner
`float` | `colorGreenBottomLeft` Green color value for the bottom left corner
`float` | `colorGreenBottomRight` Green color value for the bottom right corner
`float` | `colorGreenTopLeft` Green color value for the top left corner
`float` | `colorGreenTopRight` Green color value for the top right corner
`float` | `colorRedBottomLeft` Red color value for the bottom left corner
`float` | `colorRedBottomRight` Red color value for the bottom right corner
`float` | `colorRedTopLeft` Red color value for the top left corner
`float` | `colorRedTopRight` Red color value for the top right corner
`double` | `customMaxX` Custom maximum X for rendering
`double` | `customMaxY` Custom maximum Y for rendering
`double` | `customMaxZ` Custom maximum Z for rendering
`double` | `customMinX` Custom minimum X for rendering
`double` | `customMinY` Custom minimum Y for rendering
`double` | `customMinZ` Custom minimum Z for rendering
`boolean` | `enableAO` Whether ambient occlusion is enabled or not
`static boolean` | `fancyGrass` Fancy grass side matching biome
`boolean` | `flipTexture` Set to true if the texture should be flipped horizontally during render*Face
`float` | `lightValueOwn` Light value of the block itself
`int` | `overrideBlockTexture` If set to >=0, all block faces will be rendered using this texture index
`boolean` | `renderAllFaces` If true, renders all faces on all blocks rather than using the logic in Block.shouldSideBeRendered.
`boolean` | `useCustomBlockBounds` Use custom block bounds for the rendering
`boolean` | `useInventoryTint`
`int` | `uvRotateBottom`
`int` | `uvRotateEast`
`int` | `uvRotateNorth`
`int` | `uvRotateSouth`
`int` | `uvRotateTop`
`int` | `uvRotateWest`

Constructor Summary
`RenderBlocks()`
`RenderBlocks(IBlockAccess par1IBlockAccess)`

Method Summary
`void` | `clearOverrideBlockTexture()` Clear override block texture
`void` | `drawCrossedSquares(Block par1Block, int par2, double par3, double par5, double par7, float par9)` Utility function to draw crossed swuares
`int` | `getAoBrightness(int par1, int par2, int par3, int par4)` Get ambient occlusion brightness
`float` | `getFluidHeight(int par1, int par2, int par3, Material par4Material)` Get fluid height
`void` | `renderBlockAllFaces(Block par1Block, int par2, int par3, int par4)` Render all faces of a block
`boolean` | `renderBlockAnvil(BlockAnvil par1BlockAnvil, int par2, int par3, int par4)` Renders anvil
`boolean` | `renderBlockAnvilMetadata(BlockAnvil par1BlockAnvil, int par2, int par3, int par4, int par5)` Renders anvil block with metadata
`boolean` | `renderBlockAnvilOrient(BlockAnvil par1BlockAnvil, int par2, int par3, int par4, int par5, boolean par6)` Renders anvil block with orientation
`float` | `renderBlockAnvilRotate(BlockAnvil par1BlockAnvil, int par2, int par3, int par4, int par5, float par6, float par7, float par8, float par9, boolean par10, boolean par11, int par12)` Renders anvil block with rotation
`void` | `renderBlockAsItem(Block par1Block, int par2, float par3)` Is called to render the image of a block on an inventory, as a held item, or as a an item on the ground
`boolean` | `renderBlockBeacon(BlockBeacon par1BlockBeacon, int par2, int par3, int par4)` Renders beacon block
`boolean` | `renderBlockBed(Block par1Block, int par2, int par3, int par4)` render a bed at the given coordinates
`boolean` | `renderBlockBrewingStand(BlockBrewingStand par1BlockBrewingStand, int par2, int par3, int par4)` Render BlockBrewingStand
`boolean` | `renderBlockByRenderType(Block par1Block, int par2, int par3, int par4)` Renders the block at the given coordinates using the block's rendering type
`boolean` | `renderBlockCactus(Block par1Block, int par2, int par3, int par4)` Renders a cactus block at the given coordinates
`boolean` | `renderBlockCactusImpl(Block par1Block, int par2, int par3, int par4, float par5, float par6, float par7)` Render block cactus implementation
`boolean` | `renderBlockCauldron(BlockCauldron par1BlockCauldron, int par2, int par3, int par4)` Render block cauldron
`boolean` | `renderBlockCocoa(BlockCocoa par1BlockCocoa, int par2, int par3, int par4)` Renders a Cocoa block at the given coordinates
`boolean` | `renderBlockCrops(Block par1Block, int par2, int par3, int par4)` Render block crops
`void` | `renderBlockCropsImpl(Block par1Block, int par2, double par3, double par5, double par7)` Render block crops implementation
`boolean` | `renderBlockDoor(Block par1Block, int par2, int par3, int par4)` Renders a door block at the given coordinates
`boolean` | `renderBlockDragonEgg(BlockDragonEgg par1BlockDragonEgg, int par2, int par3, int par4)`
`boolean` | `renderBlockEndPortalFrame(Block par1Block, int par2, int par3, int par4)` Render BlockEndPortalFrame
`boolean` | `renderBlockFence(BlockFence par1BlockFence, int par2, int par3, int par4)`
`boolean` | `renderBlockFenceGate(BlockFenceGate par1BlockFenceGate, int par2, int par3, int par4)` Render block fence gate
`boolean` | `renderBlockFire(Block par1Block, int par2, int par3, int par4)` Renders a fire block at the given coordinates
`boolean` | `renderBlockFlowerpot(BlockFlowerPot par1BlockFlowerPot, int par2, int par3, int par4)` Renders flower pot
`boolean` | `renderBlockFluids(Block par1Block, int par2, int par3, int par4)` Renders a block based on the BlockFluids class at the given coordinates
`boolean` | `renderBlockLadder(Block par1Block, int par2, int par3, int par4)` Renders a ladder block at the given coordinates
`boolean` | `renderBlockLever(Block par1Block, int par2, int par3, int par4)` Renders a lever block at the given coordinates
`boolean` | `renderBlockLilyPad(Block par1Block, int par2, int par3, int par4)` Render BlockLilyPad
`boolean` | `renderBlockLog(Block par1Block, int par2, int par3, int par4)` Renders a log block at the given coordinates
`boolean` | `renderBlockMinecartTrack(BlockRail par1BlockRail, int par2, int par3, int par4)` Renders a minecart track block at the given coordinates
`boolean` | `renderBlockPane(BlockPane par1BlockPane, int par2, int par3, int par4)`
`boolean` | `renderBlockRedstoneWire(Block par1Block, int par2, int par3, int par4)` Renders a redstone wire block at the given coordinates
`boolean` | `renderBlockRepeater(Block par1Block, int par2, int par3, int par4)` render a redstone repeater at the given coordinates
`void` | `renderBlockSandFalling(Block par1Block, World par2World, int par3, int par4, int par5, int par6)` Renders a falling sand block
`boolean` | `renderBlockStairs(BlockStairs par1BlockStairs, int par2, int par3, int par4)` Renders a stair block at the given coordinates
`boolean` | `renderBlockStem(Block par1Block, int par2, int par3, int par4)` Render block stem
`void` | `renderBlockStemBig(Block par1Block, int par2, int par3, double par4, double par6, double par8, double par10)` Render block stem big
`void` | `renderBlockStemSmall(Block par1Block, int par2, double par3, double par5, double par7, double par9)` Render block stem small
`boolean` | `renderBlockTorch(Block par1Block, int par2, int par3, int par4)` Renders a torch block at the given coordinates
`boolean` | `renderBlockTripWire(Block par1Block, int par2, int par3, int par4)` Renders a trip wire block at the given coordinates
`boolean` | `renderBlockTripWireSource(Block par1Block, int par2, int par3, int par4)` Renders a trip wire source block at the given coordinates
`void` | `renderBlockUsingTexture(Block par1Block, int par2, int par3, int par4, int par5)` Renders a block using the given texture instead of the block's own default texture
`boolean` | `renderBlockVine(Block par1Block, int par2, int par3, int par4)` Render block vine
`boolean` | `renderBlockWall(BlockWall par1BlockWall, int par2, int par3, int par4)` Renders wall block
`void` | `renderBottomFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the bottom face of the block.
`boolean` | `renderCrossedSquares(Block par1Block, int par2, int par3, int par4)` Renders any block requiring croseed squares such as reeds, flowers, and mushrooms
`void` | `renderEastFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the east (z-negative) face of the block.
`static boolean` | `renderItemIn3d(int par0)` Checks to see if the item's render type indicates that it should be rendered as a regular block or not.
`void` | `renderNorthFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the north (x-negative) face of the block.
`boolean` | `renderPistonBase(Block par1Block, int par2, int par3, int par4, boolean par5)` renders a block as a piston base
`void` | `renderPistonBaseAllFaces(Block par1Block, int par2, int par3, int par4)` Render all faces of the piston base
`boolean` | `renderPistonExtension(Block par1Block, int par2, int par3, int par4, boolean par5)` renders the pushing part of a piston
`void` | `renderPistonExtensionAllFaces(Block par1Block, int par2, int par3, int par4, boolean par5)` Render all faces of the piston extension
`void` | `renderPistonRodEW(double par1, double par3, double par5, double par7, double par9, double par11, float par13, double par14)` Render piston rod east/west
`void` | `renderPistonRodSN(double par1, double par3, double par5, double par7, double par9, double par11, float par13, double par14)` Render piston rod south/north
`void` | `renderPistonRodUD(double par1, double par3, double par5, double par7, double par9, double par11, float par13, double par14)` Render piston rod up/down
`void` | `renderSouthFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the south (x-positive) face of the block.
`boolean` | `renderStandardBlock(Block par1Block, int par2, int par3, int par4)` Renders a standard cube block at the given coordinates
`boolean` | `renderStandardBlockWithAmbientOcclusion(Block par1Block, int par2, int par3, int par4, float par5, float par6, float par7)`
`boolean` | `renderStandardBlockWithColorMultiplier(Block par1Block, int par2, int par3, int par4, float par5, float par6, float par7)` Renders a standard cube block at the given coordinates, with a given color ratio.
`void` | `renderTopFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the top face of the block.
`void` | `renderTorchAtAngle(Block par1Block, double par2, double par4, double par6, double par8, double par10)` Renders a torch at the given coordinates, with the base slanting at the given delta
`void` | `renderWestFace(Block par1Block, double par2, double par4, double par6, int par8)` Renders the given texture to the west (z-positive) face of the block.
`void` | `resetCustomBlockBounds()` Reset customBlockBounds
`void` | `setCustomBlockBounds(double par1, double par3, double par5, double par7, double par9, double par11)` Sets the custom block bounds for rendering
`void` | `setOverrideBlockTexture(int par1)` Sets overrideBlockTexture
`void` | `setRenderMinMax(double par1, double par3, double par5, double par7, double par9, double par11)` Sets the size and offset of the block to be rendered, ie: half size and rendered center block: 0.25D, 0.75D
`void` | `updateCustomBlockBounds(Block par1Block)` Updates the custom block bounds with the bounds of the given block

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blockAccess

    public IBlockAccess blockAccess

  The IBlockAccess used by this instance of RenderBlocks

### overrideBlockTexture

    public int overrideBlockTexture

  If set to >=0, all block faces will be rendered using this texture index

### flipTexture

    public boolean flipTexture

  Set to true if the texture should be flipped horizontally during render*Face

### renderAllFaces

    public boolean renderAllFaces

  If true, renders all faces on all blocks rather than using the logic in Block.shouldSideBeRendered. Unused.

### fancyGrass

    public static boolean fancyGrass

  Fancy grass side matching biome

### useInventoryTint

    public boolean useInventoryTint

### customMinX

    public double customMinX

  Custom minimum X for rendering

### customMaxX

    public double customMaxX

  Custom maximum X for rendering

### customMinY

    public double customMinY

  Custom minimum Y for rendering

### customMaxY

    public double customMaxY

  Custom maximum Y for rendering

### customMinZ

    public double customMinZ

  Custom minimum Z for rendering

### customMaxZ

    public double customMaxZ

  Custom maximum Z for rendering

### useCustomBlockBounds

    public boolean useCustomBlockBounds

  Use custom block bounds for the rendering

### uvRotateEast

    public int uvRotateEast

### uvRotateWest

    public int uvRotateWest

### uvRotateSouth

    public int uvRotateSouth

### uvRotateNorth

    public int uvRotateNorth

### uvRotateTop

    public int uvRotateTop

### uvRotateBottom

    public int uvRotateBottom

### enableAO

    public boolean enableAO

  Whether ambient occlusion is enabled or not

### lightValueOwn

    public float lightValueOwn

  Light value of the block itself

### aoLightValueXNeg

    public float aoLightValueXNeg

  Light value one block less in x axis

### aoLightValueYNeg

    public float aoLightValueYNeg

  Light value one block more in y axis

### aoLightValueZNeg

    public float aoLightValueZNeg

  Light value one block more in z axis

### aoLightValueXPos

    public float aoLightValueXPos

  Light value one block more in x axis

### aoLightValueYPos

    public float aoLightValueYPos

  Light value one block more in y axis

### aoLightValueZPos

    public float aoLightValueZPos

  Light value one block more in z axis

### aoLightValueScratchXYZNNN

    public float aoLightValueScratchXYZNNN

  Used as a scratch variable for ambient occlusion on the north/bottom/east corner.

### aoLightValueScratchXYNN

    public float aoLightValueScratchXYNN

  Used as a scratch variable for ambient occlusion between the bottom face and the north face.

### aoLightValueScratchXYZNNP

    public float aoLightValueScratchXYZNNP

  Used as a scratch variable for ambient occlusion on the north/bottom/west corner.

### aoLightValueScratchYZNN

    public float aoLightValueScratchYZNN

  Used as a scratch variable for ambient occlusion between the bottom face and the east face.

### aoLightValueScratchYZNP

    public float aoLightValueScratchYZNP

  Used as a scratch variable for ambient occlusion between the bottom face and the west face.

### aoLightValueScratchXYZPNN

    public float aoLightValueScratchXYZPNN

  Used as a scratch variable for ambient occlusion on the south/bottom/east corner.

### aoLightValueScratchXYPN

    public float aoLightValueScratchXYPN

  Used as a scratch variable for ambient occlusion between the bottom face and the south face.

### aoLightValueScratchXYZPNP

    public float aoLightValueScratchXYZPNP

  Used as a scratch variable for ambient occlusion on the south/bottom/west corner.

### aoLightValueScratchXYZNPN

    public float aoLightValueScratchXYZNPN

  Used as a scratch variable for ambient occlusion on the north/top/east corner.

### aoLightValueScratchXYNP

    public float aoLightValueScratchXYNP

  Used as a scratch variable for ambient occlusion between the top face and the north face.

### aoLightValueScratchXYZNPP

    public float aoLightValueScratchXYZNPP

  Used as a scratch variable for ambient occlusion on the north/top/west corner.

### aoLightValueScratchYZPN

    public float aoLightValueScratchYZPN

  Used as a scratch variable for ambient occlusion between the top face and the east face.

### aoLightValueScratchXYZPPN

    public float aoLightValueScratchXYZPPN

  Used as a scratch variable for ambient occlusion on the south/top/east corner.

### aoLightValueScratchXYPP

    public float aoLightValueScratchXYPP

  Used as a scratch variable for ambient occlusion between the top face and the south face.

### aoLightValueScratchYZPP

    public float aoLightValueScratchYZPP

  Used as a scratch variable for ambient occlusion between the top face and the west face.

### aoLightValueScratchXYZPPP

    public float aoLightValueScratchXYZPPP

  Used as a scratch variable for ambient occlusion on the south/top/west corner.

### aoLightValueScratchXZNN

    public float aoLightValueScratchXZNN

  Used as a scratch variable for ambient occlusion between the north face and the east face.

### aoLightValueScratchXZPN

    public float aoLightValueScratchXZPN

  Used as a scratch variable for ambient occlusion between the south face and the east face.

### aoLightValueScratchXZNP

    public float aoLightValueScratchXZNP

  Used as a scratch variable for ambient occlusion between the north face and the west face.

### aoLightValueScratchXZPP

    public float aoLightValueScratchXZPP

  Used as a scratch variable for ambient occlusion between the south face and the west face.

### aoBrightnessXYZNNN

    public int aoBrightnessXYZNNN

  Ambient occlusion brightness XYZNNN

### aoBrightnessXYNN

    public int aoBrightnessXYNN

  Ambient occlusion brightness XYNN

### aoBrightnessXYZNNP

    public int aoBrightnessXYZNNP

  Ambient occlusion brightness XYZNNP

### aoBrightnessYZNN

    public int aoBrightnessYZNN

  Ambient occlusion brightness YZNN

### aoBrightnessYZNP

    public int aoBrightnessYZNP

  Ambient occlusion brightness YZNP

### aoBrightnessXYZPNN

    public int aoBrightnessXYZPNN

  Ambient occlusion brightness XYZPNN

### aoBrightnessXYPN

    public int aoBrightnessXYPN

  Ambient occlusion brightness XYPN

### aoBrightnessXYZPNP

    public int aoBrightnessXYZPNP

  Ambient occlusion brightness XYZPNP

### aoBrightnessXYZNPN

    public int aoBrightnessXYZNPN

  Ambient occlusion brightness XYZNPN

### aoBrightnessXYNP

    public int aoBrightnessXYNP

  Ambient occlusion brightness XYNP

### aoBrightnessXYZNPP

    public int aoBrightnessXYZNPP

  Ambient occlusion brightness XYZNPP

### aoBrightnessYZPN

    public int aoBrightnessYZPN

  Ambient occlusion brightness YZPN

### aoBrightnessXYZPPN

    public int aoBrightnessXYZPPN

  Ambient occlusion brightness XYZPPN

### aoBrightnessXYPP

    public int aoBrightnessXYPP

  Ambient occlusion brightness XYPP

### aoBrightnessYZPP

    public int aoBrightnessYZPP

  Ambient occlusion brightness YZPP

### aoBrightnessXYZPPP

    public int aoBrightnessXYZPPP

  Ambient occlusion brightness XYZPPP

### aoBrightnessXZNN

    public int aoBrightnessXZNN

  Ambient occlusion brightness XZNN

### aoBrightnessXZPN

    public int aoBrightnessXZPN

  Ambient occlusion brightness XZPN

### aoBrightnessXZNP

    public int aoBrightnessXZNP

  Ambient occlusion brightness XZNP

### aoBrightnessXZPP

    public int aoBrightnessXZPP

  Ambient occlusion brightness XZPP

### aoType

    public int aoType

  Ambient occlusion type (0=simple, 1=complex)

### brightnessTopLeft

    public int brightnessTopLeft

  Brightness top left

### brightnessBottomLeft

    public int brightnessBottomLeft

  Brightness bottom left

### brightnessBottomRight

    public int brightnessBottomRight

  Brightness bottom right

### brightnessTopRight

    public int brightnessTopRight

  Brightness top right

### colorRedTopLeft

    public float colorRedTopLeft

  Red color value for the top left corner

### colorRedBottomLeft

    public float colorRedBottomLeft

  Red color value for the bottom left corner

### colorRedBottomRight

    public float colorRedBottomRight

  Red color value for the bottom right corner

### colorRedTopRight

    public float colorRedTopRight

  Red color value for the top right corner

### colorGreenTopLeft

    public float colorGreenTopLeft

  Green color value for the top left corner

### colorGreenBottomLeft

    public float colorGreenBottomLeft

  Green color value for the bottom left corner

### colorGreenBottomRight

    public float colorGreenBottomRight

  Green color value for the bottom right corner

### colorGreenTopRight

    public float colorGreenTopRight

  Green color value for the top right corner

### colorBlueTopLeft

    public float colorBlueTopLeft

  Blue color value for the top left corner

### colorBlueBottomLeft

    public float colorBlueBottomLeft

  Blue color value for the bottom left corner

### colorBlueBottomRight

    public float colorBlueBottomRight

  Blue color value for the bottom right corner

### colorBlueTopRight

    public float colorBlueTopRight

  Blue color value for the top right corner

### aoGrassXYZCPN

    public boolean aoGrassXYZCPN

  Grass flag for ambient occlusion on Center X, Positive Y, and Negative Z

### aoGrassXYZPPC

    public boolean aoGrassXYZPPC

  Grass flag for ambient occlusion on Positive X, Positive Y, and Center Z

### aoGrassXYZNPC

    public boolean aoGrassXYZNPC

  Grass flag for ambient occlusion on Negative X, Positive Y, and Center Z

### aoGrassXYZCPP

    public boolean aoGrassXYZCPP

  Grass flag for ambient occlusion on Center X, Positive Y, and Positive Z

### aoGrassXYZNCN

    public boolean aoGrassXYZNCN

  Grass flag for ambient occlusion on Negative X, Center Y, and Negative Z

### aoGrassXYZPCP

    public boolean aoGrassXYZPCP

  Grass flag for ambient occlusion on Positive X, Center Y, and Positive Z

### aoGrassXYZNCP

    public boolean aoGrassXYZNCP

  Grass flag for ambient occlusion on Negative X, Center Y, and Positive Z

### aoGrassXYZPCN

    public boolean aoGrassXYZPCN

  Grass flag for ambient occlusion on Positive X, Center Y, and Negative Z

### aoGrassXYZCNN

    public boolean aoGrassXYZCNN

  Grass flag for ambient occlusion on Center X, Negative Y, and Negative Z

### aoGrassXYZPNC

    public boolean aoGrassXYZPNC

  Grass flag for ambient occlusion on Positive X, Negative Y, and Center Z

### aoGrassXYZNNC

    public boolean aoGrassXYZNNC

  Grass flag for ambient occlusion on Negative X, Negative Y, and center Z

### aoGrassXYZCNP

    public boolean aoGrassXYZCNP

  Grass flag for ambient occlusion on Center X, Negative Y, and Positive Z

Constructor Detail

### RenderBlocks

    public RenderBlocks(IBlockAccess par1IBlockAccess)

### RenderBlocks

    public RenderBlocks()

Method Detail

### setOverrideBlockTexture

    public void setOverrideBlockTexture(int par1)

  Sets overrideBlockTexture

### clearOverrideBlockTexture

    public void clearOverrideBlockTexture()

  Clear override block texture

### setRenderMinMax

    public void setRenderMinMax(double par1,
                                double par3,
                                double par5,
                                double par7,
                                double par9,
                                double par11)

  Sets the size and offset of the block to be rendered, ie: half size and rendered center block: 0.25D, 0.75D

### updateCustomBlockBounds

    public void updateCustomBlockBounds(Block par1Block)

  Updates the custom block bounds with the bounds of the given block

### setCustomBlockBounds

    public void setCustomBlockBounds(double par1,
                                     double par3,
                                     double par5,
                                     double par7,
                                     double par9,
                                     double par11)

  Sets the custom block bounds for rendering

### resetCustomBlockBounds

    public void resetCustomBlockBounds()

  Reset customBlockBounds

### renderBlockUsingTexture

    public void renderBlockUsingTexture(Block par1Block,
                                        int par2,
                                        int par3,
                                        int par4,
                                        int par5)

  Renders a block using the given texture instead of the block's own default texture

### renderBlockAllFaces

    public void renderBlockAllFaces(Block par1Block,
                                    int par2,
                                    int par3,
                                    int par4)

  Render all faces of a block

### renderBlockByRenderType

    public boolean renderBlockByRenderType(Block par1Block,
                                           int par2,
                                           int par3,
                                           int par4)

  Renders the block at the given coordinates using the block's rendering type

### renderBlockEndPortalFrame

    public boolean renderBlockEndPortalFrame(Block par1Block,
                                             int par2,
                                             int par3,
                                             int par4)

  Render BlockEndPortalFrame

### renderBlockBed

    public boolean renderBlockBed(Block par1Block,
                                  int par2,
                                  int par3,
                                  int par4)

  render a bed at the given coordinates

### renderBlockBrewingStand

    public boolean renderBlockBrewingStand(BlockBrewingStand par1BlockBrewingStand,
                                           int par2,
                                           int par3,
                                           int par4)

  Render BlockBrewingStand

### renderBlockCauldron

    public boolean renderBlockCauldron(BlockCauldron par1BlockCauldron,
                                       int par2,
                                       int par3,
                                       int par4)

  Render block cauldron

### renderBlockFlowerpot

    public boolean renderBlockFlowerpot(BlockFlowerPot par1BlockFlowerPot,
                                        int par2,
                                        int par3,
                                        int par4)

  Renders flower pot

### renderBlockAnvil

    public boolean renderBlockAnvil(BlockAnvil par1BlockAnvil,
                                    int par2,
                                    int par3,
                                    int par4)

  Renders anvil

### renderBlockAnvilMetadata

    public boolean renderBlockAnvilMetadata(BlockAnvil par1BlockAnvil,
                                            int par2,
                                            int par3,
                                            int par4,
                                            int par5)

  Renders anvil block with metadata

### renderBlockAnvilOrient

    public boolean renderBlockAnvilOrient(BlockAnvil par1BlockAnvil,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          boolean par6)

  Renders anvil block with orientation

### renderBlockAnvilRotate

    public float renderBlockAnvilRotate(BlockAnvil par1BlockAnvil,
                                        int par2,
                                        int par3,
                                        int par4,
                                        int par5,
                                        float par6,
                                        float par7,
                                        float par8,
                                        float par9,
                                        boolean par10,
                                        boolean par11,
                                        int par12)

  Renders anvil block with rotation

### renderBlockTorch

    public boolean renderBlockTorch(Block par1Block,
                                    int par2,
                                    int par3,
                                    int par4)

  Renders a torch block at the given coordinates

### renderBlockRepeater

    public boolean renderBlockRepeater(Block par1Block,
                                       int par2,
                                       int par3,
                                       int par4)

  render a redstone repeater at the given coordinates

### renderPistonBaseAllFaces

    public void renderPistonBaseAllFaces(Block par1Block,
                                         int par2,
                                         int par3,
                                         int par4)

  Render all faces of the piston base

### renderPistonBase

    public boolean renderPistonBase(Block par1Block,
                                    int par2,
                                    int par3,
                                    int par4,
                                    boolean par5)

  renders a block as a piston base

### renderPistonRodUD

    public void renderPistonRodUD(double par1,
                                  double par3,
                                  double par5,
                                  double par7,
                                  double par9,
                                  double par11,
                                  float par13,
                                  double par14)

  Render piston rod up/down

### renderPistonRodSN

    public void renderPistonRodSN(double par1,
                                  double par3,
                                  double par5,
                                  double par7,
                                  double par9,
                                  double par11,
                                  float par13,
                                  double par14)

  Render piston rod south/north

### renderPistonRodEW

    public void renderPistonRodEW(double par1,
                                  double par3,
                                  double par5,
                                  double par7,
                                  double par9,
                                  double par11,
                                  float par13,
                                  double par14)

  Render piston rod east/west

### renderPistonExtensionAllFaces

    public void renderPistonExtensionAllFaces(Block par1Block,
                                              int par2,
                                              int par3,
                                              int par4,
                                              boolean par5)

  Render all faces of the piston extension

### renderPistonExtension

    public boolean renderPistonExtension(Block par1Block,
                                         int par2,
                                         int par3,
                                         int par4,
                                         boolean par5)

  renders the pushing part of a piston

### renderBlockLever

    public boolean renderBlockLever(Block par1Block,
                                    int par2,
                                    int par3,
                                    int par4)

  Renders a lever block at the given coordinates

### renderBlockTripWireSource

    public boolean renderBlockTripWireSource(Block par1Block,
                                             int par2,
                                             int par3,
                                             int par4)

  Renders a trip wire source block at the given coordinates

### renderBlockTripWire

    public boolean renderBlockTripWire(Block par1Block,
                                       int par2,
                                       int par3,
                                       int par4)

  Renders a trip wire block at the given coordinates

### renderBlockFire

    public boolean renderBlockFire(Block par1Block,
                                   int par2,
                                   int par3,
                                   int par4)

  Renders a fire block at the given coordinates

### renderBlockRedstoneWire

    public boolean renderBlockRedstoneWire(Block par1Block,
                                           int par2,
                                           int par3,
                                           int par4)

  Renders a redstone wire block at the given coordinates

### renderBlockMinecartTrack

    public boolean renderBlockMinecartTrack(BlockRail par1BlockRail,
                                            int par2,
                                            int par3,
                                            int par4)

  Renders a minecart track block at the given coordinates

### renderBlockLadder

    public boolean renderBlockLadder(Block par1Block,
                                     int par2,
                                     int par3,
                                     int par4)

  Renders a ladder block at the given coordinates

### renderBlockVine

    public boolean renderBlockVine(Block par1Block,
                                   int par2,
                                   int par3,
                                   int par4)

  Render block vine

### renderBlockPane

    public boolean renderBlockPane(BlockPane par1BlockPane,
                                   int par2,
                                   int par3,
                                   int par4)

### renderCrossedSquares

    public boolean renderCrossedSquares(Block par1Block,
                                        int par2,
                                        int par3,
                                        int par4)

  Renders any block requiring croseed squares such as reeds, flowers, and mushrooms

### renderBlockStem

    public boolean renderBlockStem(Block par1Block,
                                   int par2,
                                   int par3,
                                   int par4)

  Render block stem

### renderBlockCrops

    public boolean renderBlockCrops(Block par1Block,
                                    int par2,
                                    int par3,
                                    int par4)

  Render block crops

### renderTorchAtAngle

    public void renderTorchAtAngle(Block par1Block,
                                   double par2,
                                   double par4,
                                   double par6,
                                   double par8,
                                   double par10)

  Renders a torch at the given coordinates, with the base slanting at the given delta

### drawCrossedSquares

    public void drawCrossedSquares(Block par1Block,
                                   int par2,
                                   double par3,
                                   double par5,
                                   double par7,
                                   float par9)

  Utility function to draw crossed swuares

### renderBlockStemSmall

    public void renderBlockStemSmall(Block par1Block,
                                     int par2,
                                     double par3,
                                     double par5,
                                     double par7,
                                     double par9)

  Render block stem small

### renderBlockLilyPad

    public boolean renderBlockLilyPad(Block par1Block,
                                      int par2,
                                      int par3,
                                      int par4)

  Render BlockLilyPad

### renderBlockStemBig

    public void renderBlockStemBig(Block par1Block,
                                   int par2,
                                   int par3,
                                   double par4,
                                   double par6,
                                   double par8,
                                   double par10)

  Render block stem big

### renderBlockCropsImpl

    public void renderBlockCropsImpl(Block par1Block,
                                     int par2,
                                     double par3,
                                     double par5,
                                     double par7)

  Render block crops implementation

### renderBlockFluids

    public boolean renderBlockFluids(Block par1Block,
                                     int par2,
                                     int par3,
                                     int par4)

  Renders a block based on the BlockFluids class at the given coordinates

### getFluidHeight

    public float getFluidHeight(int par1,
                                int par2,
                                int par3,
                                Material par4Material)

  Get fluid height

### renderBlockSandFalling

    public void renderBlockSandFalling(Block par1Block,
                                       World par2World,
                                       int par3,
                                       int par4,
                                       int par5,
                                       int par6)

  Renders a falling sand block

### renderStandardBlock

    public boolean renderStandardBlock(Block par1Block,
                                       int par2,
                                       int par3,
                                       int par4)

  Renders a standard cube block at the given coordinates

### renderBlockLog

    public boolean renderBlockLog(Block par1Block,
                                  int par2,
                                  int par3,
                                  int par4)

  Renders a log block at the given coordinates

### renderStandardBlockWithAmbientOcclusion

    public boolean renderStandardBlockWithAmbientOcclusion(Block par1Block,
                                                           int par2,
                                                           int par3,
                                                           int par4,
                                                           float par5,
                                                           float par6,
                                                           float par7)

### getAoBrightness

    public int getAoBrightness(int par1,
                               int par2,
                               int par3,
                               int par4)

  Get ambient occlusion brightness

### renderStandardBlockWithColorMultiplier

    public boolean renderStandardBlockWithColorMultiplier(Block par1Block,
                                                          int par2,
                                                          int par3,
                                                          int par4,
                                                          float par5,
                                                          float par6,
                                                          float par7)

  Renders a standard cube block at the given coordinates, with a given color ratio. Args: block, x, y, z, r, g, b

### renderBlockCocoa

    public boolean renderBlockCocoa(BlockCocoa par1BlockCocoa,
                                    int par2,
                                    int par3,
                                    int par4)

  Renders a Cocoa block at the given coordinates

### renderBlockBeacon

    public boolean renderBlockBeacon(BlockBeacon par1BlockBeacon,
                                     int par2,
                                     int par3,
                                     int par4)

  Renders beacon block

### renderBlockCactus

    public boolean renderBlockCactus(Block par1Block,
                                     int par2,
                                     int par3,
                                     int par4)

  Renders a cactus block at the given coordinates

### renderBlockCactusImpl

    public boolean renderBlockCactusImpl(Block par1Block,
                                         int par2,
                                         int par3,
                                         int par4,
                                         float par5,
                                         float par6,
                                         float par7)

  Render block cactus implementation

### renderBlockFence

    public boolean renderBlockFence(BlockFence par1BlockFence,
                                    int par2,
                                    int par3,
                                    int par4)

### renderBlockWall

    public boolean renderBlockWall(BlockWall par1BlockWall,
                                   int par2,
                                   int par3,
                                   int par4)

  Renders wall block

### renderBlockDragonEgg

    public boolean renderBlockDragonEgg(BlockDragonEgg par1BlockDragonEgg,
                                        int par2,
                                        int par3,
                                        int par4)

### renderBlockFenceGate

    public boolean renderBlockFenceGate(BlockFenceGate par1BlockFenceGate,
                                        int par2,
                                        int par3,
                                        int par4)

  Render block fence gate

### renderBlockStairs

    public boolean renderBlockStairs(BlockStairs par1BlockStairs,
                                     int par2,
                                     int par3,
                                     int par4)

  Renders a stair block at the given coordinates

### renderBlockDoor

    public boolean renderBlockDoor(Block par1Block,
                                   int par2,
                                   int par3,
                                   int par4)

  Renders a door block at the given coordinates

### renderBottomFace

    public void renderBottomFace(Block par1Block,
                                 double par2,
                                 double par4,
                                 double par6,
                                 int par8)

  Renders the given texture to the bottom face of the block. Args: block, x, y, z, texture

### renderTopFace

    public void renderTopFace(Block par1Block,
                              double par2,
                              double par4,
                              double par6,
                              int par8)

  Renders the given texture to the top face of the block. Args: block, x, y, z, texture

### renderEastFace

    public void renderEastFace(Block par1Block,
                               double par2,
                               double par4,
                               double par6,
                               int par8)

  Renders the given texture to the east (z-negative) face of the block. Args: block, x, y, z, texture

### renderWestFace

    public void renderWestFace(Block par1Block,
                               double par2,
                               double par4,
                               double par6,
                               int par8)

  Renders the given texture to the west (z-positive) face of the block. Args: block, x, y, z, texture

### renderNorthFace

    public void renderNorthFace(Block par1Block,
                                double par2,
                                double par4,
                                double par6,
                                int par8)

  Renders the given texture to the north (x-negative) face of the block. Args: block, x, y, z, texture

### renderSouthFace

    public void renderSouthFace(Block par1Block,
                                double par2,
                                double par4,
                                double par6,
                                int par8)

  Renders the given texture to the south (x-positive) face of the block. Args: block, x, y, z, texture

### renderBlockAsItem

    public void renderBlockAsItem(Block par1Block,
                                  int par2,
                                  float par3)

  Is called to render the image of a block on an inventory, as a held item, or as a an item on the ground

### renderItemIn3d

    public static boolean renderItemIn3d(int par0)

  Checks to see if the item's render type indicates that it should be rendered as a regular block or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD